/**
 * Copyright &copy; 2015-2020 <a href="http://www.jeeplus.org/">JeePlus</a> All rights reserved.
 */
package com.jeeplus.modules.workperson.entity;


import com.jeeplus.common.persistence.DataEntity;
import com.jeeplus.common.utils.excel.annotation.ExcelField;
import com.jeeplus.modules.workstaff.entity.WorkStaffBasicInfo;

/**
 * 人员信息Entity
 * @author ssrh
 * @version 2018-08-21
 */
public class WorkPerson extends DataEntity<WorkPerson> {
	
	private static final long serialVersionUID = 1L;
	private String companyId;		// 公司
	private String officeId;		// 部门
	private String basicId;		// 人员档案
	private WorkStaffBasicInfo workStaffBasicInfo;
	public WorkPerson() {
		super();
	}

	public WorkPerson(String id){
		super(id);
	}

	@ExcelField(title="公司", align=2, sort=7)
	public String getCompanyId() {
		return companyId;
	}

	public void setCompanyId(String companyId) {
		this.companyId = companyId;
	}
	
	@ExcelField(title="部门", align=2, sort=8)
	public String getOfficeId() {
		return officeId;
	}

	public void setOfficeId(String officeId) {
		this.officeId = officeId;
	}
	
	@ExcelField(title="人员档案", align=2, sort=9)
	public String getBasicId() {
		return basicId;
	}

	public void setBasicId(String basicId) {
		this.basicId = basicId;
	}

	public WorkStaffBasicInfo getWorkStaffBasicInfo() {
		return workStaffBasicInfo;
	}

	public void setWorkStaffBasicInfo(WorkStaffBasicInfo workStaffBasicInfo) {
		this.workStaffBasicInfo = workStaffBasicInfo;
	}
}